# $Revision: 1.22 $, $Date: 2010/11/11 08:30:47 $
Summary:	Library for checking ink level of a printer
Summary(pl.UTF-8):	Biblioteka do sprawdzania poziomu atramentu drukarki
Name:		libinklevel
Version:	0.8.0
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libinklevel/%{name}-%{version}.tar.gz
# Source0-md5:	83464cb23fe46a1d1adbe10f08b247be
URL:		http://libinklevel.sourceforge.net/
BuildRequires:	libieee1284-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libinklevel is a library for checking the ink level of printer. It
supports printers attached via parallel port or USB.
Supported printers list can be found here:
http://libinklevel.sourceforge.net/index.html#supported

%description -l pl.UTF-8
Libinklevel jest biblioteką wykorzystywaną do sprawdzania poziomu
atramentu w drukarce. Wspierane są drukarki podłączone za
pośrednictwem portu równoległego oraz USB.
Listę aktualnie obsługiwanych drukarek można znaleźć tutaj:
http://libinklevel.sourceforge.net/index.html#supported

%package devel
Summary:	Header file for libinklevel
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libinklevel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libieee1284-devel

%description devel
Header file for libinklevel.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libinklevel.

%package static
Summary:	Static libinklevel library
Summary(pl.UTF-8):	Statyczna biblioteka libinklevel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libinklevel library.

%description static -l pl.UTF-8
Statyczna biblioteka libinklevel.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libinklevel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinklevel.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinklevel.so
%{_libdir}/libinklevel.la
%{_includedir}/inklevel.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libinklevel.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libinklevel.spec,v $
Revision 1.22  2010/11/11 08:30:47  qboosh
- updated to 0.8.0
- removed obsolete build_fixes patch (project switched to autotools, at last)

Revision 1.21  2008/08/25 19:18:08  qboosh
- updated to 0.7.3
- updated build_fixes patch

Revision 1.20  2007/08/12 07:43:38  qboosh
- updated to 0.7.2
- updated build_fixes patch

Revision 1.19  2007/04/03 21:46:50  qboosh
- updated to 0.7.1
- updated build_fixes patch

Revision 1.18  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.16  2006/07/21 22:11:35  qboosh
- updated to 0.6.5, updated build_fixes patch

Revision 1.15  2005/05/22 08:16:21  qboosh
- gpm-friendly Source0 URL

Revision 1.14  2005/02/06 20:03:54  adamg
- updated to 0.6.4

Revision 1.13  2004/09/30 14:43:06  arekm
- updated to 0.6.3

Revision 1.12  2004/06/06 14:04:57  jpc
- updated supported printers link

Revision 1.11  2004/06/06 14:02:22  qboosh
- updated patch, fixed build on amd64

Revision 1.10  2004/06/06 12:00:06  arekm
- fixed url

Revision 1.9  2004/01/13 19:07:09  freetz
- up to 0.6.2

Revision 1.8  2003/12/06 19:53:02  freetz
- added some info about supported printers

Revision 1.7  2003/12/06 17:55:38  freetz
- 0.6.1 (bugfix release)

Revision 1.6  2003/12/05 13:36:08  qboosh
- fixed build_fixes patch, fixed -devel Group, pass CC

Revision 1.5  2003/12/05 12:48:58  matkor
- df

Revision 1.4  2003/12/04 18:06:55  grzegol
- removed R(pre,post): /sbin/ldconfig

Revision 1.3  2003/12/04 16:55:05  ankry
- cosmetics

Revision 1.2  2003/12/04 16:47:35  freetz
- OPTFLAGS added

Revision 1.1  2003/12/04 16:43:42  freetz
- initial
